# dvdec

dvdec decodes DV video into raw video. The element expects a full DV frame as input, which is 120000 bytes for NTSC and 144000 for PAL video.

This element can perform simple frame dropping with the drop-factor property. Setting this property to a value N > 1 will only decode every Nth frame.

## Example launch line

     gst-launch-1.0 filesrc location=test.dv ! dvdemux name=demux ! dvdec ! xvimagesink

This pipeline decodes and renders the raw DV stream to a videosink.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──dvdec

## Factory details

Authors: – Erik Walthinsen <omega>,Wim Taymans <wim></wim></omega>

Classification: – `Codec/Decoder/Video`

Rank – marginal

Plugin – dv

Package – GStreamer Good Plug-ins

## Pad Templates

### `sink`

    video/x-dv:
       systemstream: false

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw:
             format: { YUY2, BGRx, RGB }
          framerate: [ 1/1, 60/1 ]
              width: 720
             height: { (int)576, (int)480 }

Presence – always

Direction – src

Object type – GstPad

## Properties

### clamp-chroma

    “clamp-chroma” gboolean

Clamp chroma

Flags : Read / Write

Default value : false

### clamp-luma

    “clamp-luma” gboolean

Clamp luma

Flags : Read / Write

Default value : false

### drop-factor

    “drop-factor” gint

Only decode Nth frame

Flags : Read / Write

Default value : 1

### quality

    “quality” Dvdec-quality-enum *

Decoding quality

Flags : Read / Write

Default value : best (5)

## Named constants

### Dvdec-quality-enum

#### Members

`fastest` (0) – Monochrome, DC (Fastest)
`monochrome-ac` (1) – Monochrome, first AC coefficient
`monochrome-best` (2) – Monochrome, highest quality
`colour-fastest` (3) – Colour, DC, fastest
`colour-ac` (4) – Colour, using only the first AC coefficient
`best` (5) – Highest quality colour decoding

The results of the search are